package com.example.nto.controller;

import com.example.nto.entity.Code;
import com.example.nto.entity.Employee;
import com.example.nto.service.EmployeeService;
import javassist.tools.web.BadHttpRequest;
import lombok.AllArgsConstructor;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api")
@AllArgsConstructor
public class EmployeeController {
    private final EmployeeService employeeService;

    @GetMapping("{login}/auth")
    @ResponseStatus(HttpStatus.OK)
    public void auth(@PathVariable String login) {
        employeeService.getEmployee(login);
    }

    @GetMapping("{login}/info")
    @ResponseStatus(HttpStatus.OK)
    public Employee info(@PathVariable String login) {
        return employeeService.getEmployee(login);
    }

    @PatchMapping("{login}/open")
    @ResponseStatus(HttpStatus.OK)
    public void open(@PathVariable String login, @RequestBody Code code) {
        employeeService.open(login, code);
    }
}
