package com.example.nto.exception.advice;

import com.example.nto.exception.IncorrectBodyException;
import com.example.nto.exception.NoSuchEmployeeException;
import javassist.tools.web.BadHttpRequest;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;

@ControllerAdvice
public class GlobalExceptionHandler {
    @ExceptionHandler(NoSuchEmployeeException.class)
    public ResponseEntity<String> handleNoSuchEmployeeException(NoSuchEmployeeException e) {
        return new ResponseEntity<>(e.getMessage(), HttpStatus.UNAUTHORIZED);
    }

    @ExceptionHandler(IncorrectBodyException.class)
    public ResponseEntity<String> handleIncorrectBodyException(IncorrectBodyException e) {
        return new ResponseEntity<>(e.getMessage(), HttpStatus.BAD_REQUEST);
    }
}
