package com.example.nto.service.impl;

import com.example.nto.entity.Code;
import com.example.nto.entity.Employee;
import com.example.nto.exception.IncorrectBodyException;
import com.example.nto.exception.NoSuchEmployeeException;
import com.example.nto.repository.CodeRepository;
import com.example.nto.repository.EmployeeRepository;
import com.example.nto.service.EmployeeService;
import javassist.tools.web.BadHttpRequest;
import lombok.AllArgsConstructor;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ResponseStatus;

import java.util.List;

@Service
@AllArgsConstructor
public class EmployeeServiceImpl implements EmployeeService {
    private final CodeRepository codeRepository;
    private final EmployeeRepository employeeRepository;

    @Override
    public Employee getEmployee(String login) throws NoSuchEmployeeException {
        List<Employee> employee = employeeRepository.findByLogin(login);
        if (employee.isEmpty()) {
            throw new NoSuchEmployeeException("логина не существует или неверный");
        } else {
            return employee.get(0);
        }
    }

    @Override
    public void open(String login, Code code) {
        getEmployee(login);
        List<Code> codeList = codeRepository.findByCode(code.getValue());

        if (codeList.isEmpty()) {
            throw new IncorrectBodyException("incorrect body");
        }
    }
}
